Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Unix :: Various Flavours :: bt276.txt

S21SEC-018 - Vignette memory leak AIX Platform





###############################################################
ID: S21SEC-018-en
Title: Vignette memory leak AIX Platform
Date: 15/03/2003
Status: Vendor contacted and solution available
Scope: Revelation of memory variables
Platforms: AIX
Author: ecruz
Location: http://www.s21sec.com/es/avisos/s21sec-018-en.txt
Release: External
###############################################################

                                S 2 1 S E C

                           http://www.s21sec.com

                           Vignette memory leak


About Vignette
--------------

Vignette develops Content Management and Application Portal Software.


Description of vulnerability
----------------------------

There is a memory leak vulnerability in the Vignette software. It's caused by the incorrect handling of text variables. Under some circunstances Vignette can't calculate succesfully the size of text variables. This lead to the dump of memory portions when this variables are showed.

This problem appear when the text variable include the substring "-->"

http://www.thisisadomainname.es/vgn/login/1,501,,00.html?cookieName=x--\>

When this text is included as part of a text variable, Vignette fails and append as part of the variable random portions of the memory.

Example of a returned form:

-------------------
<input type=hidden name="cookieName" value="x--      return &amp;#91;EVAL $elseClause&amp;#93;
    }
    } else {
    return &amp;#91;EVAL $thenClause&amp;#93;
    }
    return">
-------------------
<input type=hidden name="cookieName" value="x--whereClause&gt;.
##
##    SQL &lt;sql&gt;     Issues the query specified by &lt;sql&gt;.  Note that
##          WHE">
-------------------

This also affects default Vignette Templates, for example /vgn/login.


Affected Versions and platforms
-------------------------------

This vulnerability has been tested in Vignette StoryServer and Vignette V/5. But it seems that all currently avaliable versions are vulnerable.


Solution
--------

Vignette users should procceed to contact vignette throught the standard channels VOLS etc in order to get a solution.


Additional information
----------------------

These vulnerabilities have been found and researched by:

 Eduardo Cruz           ecruz@s21sec.com

You can find the last version of this warning in:

        http://www.s21sec.com/es/avisos/s21sec-018-en.txt

And other S21SEC warnings in http://www.s21sec.com/es/avisos/



TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH